equensWorldline just installed the new certificate with success.

Unfortunately, they let us known we have the same problem with Luxtrust certificate than another client of them : while the serve & intermediate certificate are ok, the root certificate is not considered “trusted”.

Due to this trust problem, you probably will get a warning while trying to access the APIs. They suggest two workaround for this :
-          Check only the server & intermediate certificate
-          Add the root certificate to your trust store